Package org.apache.sysds.hops.codegen.cplan

# Class CodeTemplate

java.lang.Object
org.apache.sysds.hops.codegen.cplan.CodeTemplate

Direct Known Subclasses:
  `Binary`, `Binary`, `Ternary`, `Ternary`, `Unary`, `Unary`

public abstract class CodeTemplate extends Object

## Constructor Summary

Constructors
Constructor
Description
`CodeTemplate()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTemplate()`
`static String`
`getTemplate(String templateFileName)`
`String`
`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector)`
`String`
`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector, boolean sparseTemplate)`
`String`
`getTemplate(CNodeTernary.TernaryType type, boolean sparse)`
`String`
`getTemplate(CNodeUnary.UnaryType type, boolean sparse)`
`String`
`getTemplate(CNodeUnary.UnaryType type, boolean sparse, boolean sparseTemplate)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeTemplate

public CodeTemplate()

## Method Details

### getTemplate

public String getTemplate()

### getTemplate

public String getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector, boolean sparseTemplate)

Parameters:
  `sparseTemplate` - added to turn SparseRowVector intermediates on and off

### getTemplate

public String getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector)

### getTemplate

public String getTemplate(CNodeTernary.TernaryType type, boolean sparse)

### getTemplate

public String getTemplate(CNodeUnary.UnaryType type, boolean sparse)

### getTemplate

public String getTemplate(CNodeUnary.UnaryType type, boolean sparse, boolean sparseTemplate)

### getTemplate

public static String getTemplate(String templateFileName)